BICO 1.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Pages
Public Member Functions | Public Attributes | List of all members
CluE::DiscreteProxySolution< T > Struct Template Reference

Data structure for discrete proxies. More...

`#include <discreteproxysolution.h>`

Inheritance diagram for CluE::DiscreteProxySolution< T >:
Collaboration diagram for CluE::DiscreteProxySolution< T >:

## Public Member Functions
| DiscreteProxySolution ()
virtual | ~DiscreteProxySolution ()
virtual double | computationtime () const
| returns the time needed for the last computation More...
virtual unsigned int | number_of_solutions () const
| returns the number of available solutions More...
virtual unsigned int | size_of_solution (unsigned int) const
| returns the size of a particular solution More...
virtual T * | discrete_proxy (unsigned int n, unsigned int c) const
| Returns a pointer to the proxy for the specified clustering and cluster. More...
virtual std::vector< T * > | discrete_proxies (unsigned int n) const
| Returns a vector of pointers to the proxies for the specified clustering. More...
Public Member Functions inherited from CluE::SolutionProvider
virtual | ~SolutionProvider ()
Public Member Functions inherited from CluE::DiscreteProxyProvider< T >
virtual | ~DiscreteProxyProvider ()

## Public Attributes
double | seconds
std::vector< std::vector< T * > > | proxysets

## Additional Inherited Members
Static Public Member Functions inherited from CluE::DiscreteProxyProvider< T >
static DiscreteProxyProvider< T > * | toDiscreteProxyProvider (SolutionProvider *s)
| Does a dynamic cast of the given SolutionProvider to a DiscreteProxyProvider. More...

## Detailed Description

### template<typename T>
struct CluE::DiscreteProxySolution< T >

Data structure for discrete proxies.

This struct is for use in algorithms computing proxies.

Definition at line 19 of file discreteproxysolution.h.

## Constructor & Destructor Documentation

template<typename T >

CluE::DiscreteProxySolution< T >::DiscreteProxySolution | ( |  | ) |

Definition at line 41 of file discreteproxysolution.h.

template<typename T >

virtual CluE::DiscreteProxySolution< T >::~DiscreteProxySolution | ( |  | ) |
| inline virtual

Definition at line 26 of file discreteproxysolution.h.

## Member Function Documentation

template<typename T >

double CluE::DiscreteProxySolution< T >::computationtime | ( |  | ) | const
| virtual

returns the time needed for the last computation

Returns
  time in seconds needed for last call to compute()

Implements CluE::SolutionProvider.

Definition at line 45 of file discreteproxysolution.h.

template<typename T >

unsigned int CluE::DiscreteProxySolution< T >::number_of_solutions | ( |  | ) | const
| virtual

returns the number of available solutions

The algorthm may compute more than one solution of possibly different size, where size means number of computed clusters, proxies (e.g. cluster centers) or the size of a coreset. The sizes can be retrieved by a call to size_of_solution().

Implements CluE::DiscreteProxyProvider< T >.

Definition at line 50 of file discreteproxysolution.h.

template<typename T >

unsigned int CluE::DiscreteProxySolution< T >::size_of_solution | ( | unsigned | index | ) | const
| virtual

returns the size of a particular solution

Parameters

  index | number between 0 and number_of_solutions()-1

Returns
  the size for the requested clustering

Implements CluE::DiscreteProxyProvider< T >.

Definition at line 55 of file discreteproxysolution.h.

template<typename T >

T * CluE::DiscreteProxySolution< T >::discrete_proxy | ( | unsigned int | solutionIndex,
|  | unsigned int | proxyIndex
| ) |  | const
| virtual

Returns a pointer to the proxy for the specified clustering and cluster.

Returns a pointer to the element of the input set that was computed to be the proxy for cluster number proxyIndex in clustering number solutionIndex.

Implements CluE::DiscreteProxyProvider< T >.

Definition at line 62 of file discreteproxysolution.h.

template<typename T >

std::vector< T * > CluE::DiscreteProxySolution< T >::discrete_proxies | ( | unsigned int | solutionIndex | ) | const
| virtual

Returns a vector of pointers to the proxies for the specified clustering.

Returns a vector of pointers to the elements of the input set that were computed to be the proxies for clustering number proxyIndex.

Implements CluE::DiscreteProxyProvider< T >.

Definition at line 70 of file discreteproxysolution.h.

## Member Data Documentation

template<typename T >

double CluE::DiscreteProxySolution< T >::seconds

Definition at line 37 of file discreteproxysolution.h.

template<typename T >

std::vector<std::vector<T*> > CluE::DiscreteProxySolution< T >::proxysets

Definition at line 38 of file discreteproxysolution.h.

The documentation for this struct was generated from the following file:

- src/datastructure/discreteproxysolution.h